gnutls_certificate_verify_peers(3)

NAME
gnutls_certificate_verify_peers - return the peer's certificate verification status

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_verify_peers(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
This function will try to verify the peer's certificate and return its status (trusted, invalid etc.). However you must also check the peer's name in order to check if the verified certificate belongs to the actual peer. This function uses gnutls_x509_crt_list_verify().

RETURNS
one or more of the gnutls_certificate_status_t enumerated elements bitwise or'd, or a negative value on error.

DEPRECATED
Use gnutls_certificate_verify_peers2() instead.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.